<template>
  <footer class="site-footer">
    <FooterAssurance />

    <FooterPresse v-if="$i18n.locale !== 'nl' && $i18n.locale !== 'it'" />

    <div class="site-footer_wrapper trunk">
      <div class="site-footer_cols">
        <div class="site-footer_col" style="width: unset">
          <p class="site-footer_title text text--big text--primary text--bold">
            {{ $t('footer.download_app') }}
          </p>
          <p class="site-footer_text text text--sm text--primary">
            {{ $t('footer.read_online_or_download_app') }}.
          </p>
          <div class="site-footer_apps">
            <AppstoresLinks></AppstoresLinks>
          </div>
        </div>
        <div class="site-footer_col" style="width: unset">
          <p class="site-footer_title text text--big text--primary text--bold">
            {{ $t('footer.find_us_on_social_media') }}
          </p>
          <p class="site-footer_text text text--sm text--primary">
            {{ $t('footer.latest_news') }} !
          </p>

          <FooterSocialLinks :lang="userLanguage" />
        </div>
      </div>

      <div class="site-footer_bottom">
        <div class="site-footer_links">
          <FooterLinks :lang="userLanguage" />
        </div>
      </div>

      <div class="site-footer_bottom footer-margin">
        <div class="site-footer_payment_types">
          <p class="text text--xs">
            {{ $t('footer.payment_methods_accepted') }}
          </p>
          <PaymentMethods />
        </div>
        <div class="site-footer_copyright">
          <span class="text--xs"
            ><span>©</span> {{ new Date().getFullYear() }} izneo</span
          >
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
import AppstoresLinks from '~/components/ui/AppstoresLinks'
import FooterAssurance from '~/components/FooterAssurance'
import FooterLinks from '~/components/FooterLinks'
import FooterSocialLinks from '~/components/FooterSocialLinks'
import PaymentMethods from '~/components/PaymentMethods'
import FooterPresse from '~/components/FooterPresse'

export default {
  name: 'PageFooter',
  components: {
    AppstoresLinks,
    FooterAssurance,
    FooterLinks,
    FooterSocialLinks,
    PaymentMethods,
    FooterPresse
  },
  computed: {
    ui() {
      return this.$auth.loggedIn && this.$auth.user ? this.$auth.user : {}
    },
    userLogged() {
      return (
        this.$auth.loggedIn && 'type' in this.ui && this.ui.type === 'izneoUser'
      )
    },
    userLanguage() {
      return this.$i18n.locale
    }
  },

  methods: {
    async userLogin() {
      try {
        await this.$auth
          .loginWith('local', {
            data: {
              login: process.env.testUser,
              password: process.env.testPwd
            }
          })
          .then((response) => {
            //this.$auth.setUser(response.data.user)
            this.$nuxt.$i18n.setLocale(response.data.user.language)
          })
      } catch (err) {
        console.log(err)
      }
    }
  }
}
</script>

<style
  lang="scss"
  src="~/assets/scss/v7/components/layouts/footer/_footer.scss"
></style>

<style lang="scss" scoped>
.site-footer {
  padding-top: 0px;

  .site-footer-header {
    height: 170px;

    padding-top: 46px;
    padding-bottom: 42px;

    ul {
      display: flex;
      align-items: center;
      justify-content: space-around;

      li {
        div {
          display: flex;
          justify-content: center;
          align-items: center;
        }
        p {
          text-align: center;
          font-weight: bold;
          font-size: 16px;
          margin: 9px 0;

          @media only screen and (max-width: 1023px) {
            font-size: 14px;
            max-width: 115px;
          }
        }

        &.hide-mobile {
          @media only screen and (max-width: 640px) {
            display: none;
          }
        }
      }
    }
  }

  .site-footer_wrapper {
    padding-top: 40px;
  }
}

.site-footer_bottom {
  &.footer-margin {
    margin-top: 38px;

    .site-footer_copyright {
      display: flex;
      align-items: center;

      @media only screen and (max-width: 1023px) {
        margin-top: 26px;
      }
    }
  }
}

.site-footer_payment_types {
  @media only screen and (min-width: 1023px) {
    display: flex;
  }

  p.text {
    display: flex;
    align-items: center;
    padding: 0 17px 0 0;
  }
}
</style>
